%%
%% Matlab Test Code - Side-Channel Statistical Toolbox
%% Copyright  Franois-Xavier Standaert
%% e-mail: <fstandae@uclouvain.be>
%%
%% This program is a free software: you can redistribute it 
%% and/or modify it under the terms of the GNU General Public 
%% License as published by the Free Software Foundation.
%%
%% It is distributed without any warranty of correctness nor
%% fintess for any particular purpose. See the GNU General 
%% Public License for more details.
%% 
%% <http://www.gnu.org/licenses/>
%%
%% Description: Hamming weight of n-bit integers
%% 
%% Version 1 - February 2015

function h=ham(x,n)

y=dec2vec(x,n,2);

s=size(y);

h=0;
for i=1:s(1,2)
    h=h+y(i);
end

