%%
%% Matlab Test Code - Side-Channel Statistical Toolbox
%% Copyright  Franois-Xavier Standaert
%% e-mail: <fstandae@uclouvain.be>
%%
%% This program is a free software: you can redistribute it 
%% and/or modify it under the terms of the GNU General Public 
%% License as published by the Free Software Foundation.
%%
%% It is distributed without any warranty of correctness nor
%% fintess for any particular purpose. See the GNU General 
%% Public License for more details.
%% 
%% <http://www.gnu.org/licenses/>
%%
%% Description: conversion from decimal to z-ary vectors
%% 
%% Version 1 - February 2015

function v = dec2vec(d,n,z)

if nargin==2
    z=2;
end
v=rem(floor(d(:)*z.^(1-n:0)),z); 


            